{ pkgs  , ... } :

with pkgs ;
with pkgs . kernelmaft ;

{
	systemd = {
		units = {
			"bookwyrm.service" = {
				text = ''
					[Unit]
					After=network.target

					[Service]
					ExecStartPre=${coreutils-full}/bin/ln -s ${bookwyrm}/var/lib/bookwyrm/VERSION /var/lib/bookwyrm/
					ExecStart=${bookwyrm}/bin/bookwyrm
					WorkingDirectory=/var/lib/bookwyrm
					StateDirectory=bookwyrm  # Creates /var/lib/bookwyrm directory
				'' ;
			} ;
		} ;
	} ;
}
